[

  { /* access panel spec */

    blockid=access;
    custom=com.netscape.management.msgserv.nntp.NNTPAccess;

    localvar = 
    {
      .rest.title=[titled, "\u63a5\u7d9a\u306e\u5236\u7d04"];
      .rest.require.login="\u63a5\u7d9a\u6642\u306e\u30e6\u30fc\u30b6\u30fc\u8a8d\u8a3c";
      .rest.gethostbyaddr="IP \u30a2\u30c9\u30ec\u30b9\u3092\u30db\u30b9\u30c8\u540d\u306b\u5909\u63db";
      .rest.hcl.enable="\u30db\u30b9\u30c8\u5236\u9650\u3092\u6709\u52b9\u5316";
      .rest.hcl.table.perm.header="\u6a29\u9650";
      .rest.hcl.table.patt.header="\u30db\u30b9\u30c8\u30d1\u30bf\u30fc\u30f3";
      .rest.hcl.perm.labels=["\u8a31\u53ef", "\u62d2\u5426"];
      .rest.hcl.perm.items=["+", "-"];

      .add.title="\u63a5\u7d9a\u5236\u7d04\u306e\u8ffd\u52a0"
      .edit.title="\u63a5\u7d9a\u5236\u7d04\u306e\u7de8\u96c6"

      .perm.items=
      [
        "allow_all",
        "deny_all"
      ];
      .perm.labels=
      [
        "\u8a31\u53ef",
        "\u62d2\u5426"
      ];
    };

    content=
    [ /* access panel contents */

      { /* require auth on connect*/
        ctrl=togglepane;
        text=$.rest.require.login;
        val=$service.nntp.network.requirelogin.nsvalue;
      }, /* require auth on connect*/

      {
        ctrl=vstrut;
        size=$g.comp.space.sep;
      },

      { /* resolve host names */
        ctrl=togglepane;
        text=$.rest.gethostbyaddr;
        val=$service.nntp.performance.gethostbyaddr.nsvalue;
      }, /* resolve host names */

      {
        ctrl=vstrut;
        size=$g.comp.space.sep;
      },

      { /* host restrictions */
        ctrl=togglepane;
        text=$.rest.hcl.enable;
        val=$service.nntp.network.dohostcontrol.nsvalue;
        content=
        [ /* host restrictions contents */
          {
            ctrl=table;
            buttonsat=east;
            stdtable=false;
            showedit=true;
            addui=hostrest;
            addtext=$g.addbutton.text;
            edittext=$g.editbutton.text;
            deltext=$g.deletebutton.text;
            editui=hostrest;
            id=hostpatterntable;
            val=$service.nntp.network.hostcontrollist;
            columns=
            [
              {
                header=$.rest.hcl.table.perm.header;
                varname="\u6a29\u9650";
              },
              {
                header=$.rest.hcl.table.patt.header;
                varname="\u30d1\u30bf\u30fc\u30f3";
              }
            ]
          }

        ] /* host restrictions contents */
      } /* host restrictions */

    ]; /* access panel contents */
  }, /* access panel spec */

  { /* add/edit restrictions dialog spec */

    blockid=hostrest;
    localvar=
    {
      .perm.items=
      [
        "allow_all",
        "deny_all"
      ];
      .perm.labels=
      [
        "\u8a31\u53ef",
        "\u62d2\u5426"
      ];
      .hosts.label.wrap.size=250;
      .addrest.label="\u30db\u30b9\u30c8\u306e IP \u30a2\u30c9\u30ec\u30b9\u307e\u305f\u306f DNS \u540d\u3092\u5165\u529b\u3057\u3066\u304f\u3060\u3055\u3044\u3002\u30ef\u30a4\u30eb\u30c9\u30ab\u30fc\u30c9 (*.example.com \u306a\u3069) \u3092\u4f7f\u7528\u3067\u304d\u307e\u3059\u3002";
    };

    content=
    [ /* start layout for dialog */

      { /* Switch board for allow/deny radiogroup and host patterns */
        ctrl=switchboard;
        switchalign=left;
        switchborder=true;
        switch=
        [ /* switch contents */

          { /* options for access */
            ctrl=choice;
            style=radio;
            items=$.perm.items;
            labels=$.perm.labels;
            val=$perm;
          } /* options for access */

        ]; /* switch contents */

        content=
        [ /* content controls of the switchboard */

          { /* pane containing label and textarea for host patterns */
              ctrl=pane;
              layout=[ybox];
              content=
              [ /* pane containing label and textarea for host patterns */

                { /* label */
                  ctrl=label;
                  text=$.addrest.label;
                  wrap=$.hosts.label.wrap.size;
                  label=hosts;
                  id=hostprompt;
                }, /* label */

                { /* comp. space */
                  ctrl=vstrut;
                  size=$g.comp.space;
                }, /* comp. space */

                {
                  label=hosts;
                  ctrl=text;
                  val=$patt;
                }

              ] /* pane containing label and textarea for host patterns */
          } /* pane containing label and textarea for host patterns */

        ]; /* content controls of the switchboard */

      } /* Switch board for allow/deny radiogroup and host patterns */
    ]; /* end layout for dialog */

  } /* add/edit restrictions dialog spec */

]

